package de.votian.services.entity;

import jakarta.persistence.*;

@Entity
@Table(name = "employeerights")
@IdClass(EmployeeRightsId.class)
public class EmployeeRights {

    @Id
    @Column(name = "emp_id")
    private Long employeeId;

    @Id
    @Column(name = "hq_id")
    private Long headquartersId;

    @Id
    @Column(name = "rgt_id")
    private Long rightId;

    public EmployeeRights() {}

    public EmployeeRights(Long employeeId, Long headquartersId, Long rightId) {
        this.employeeId = employeeId;
        this.headquartersId = headquartersId;
        this.rightId = rightId;
    }

    public Long getEmployeeId() { return employeeId; }
    public void setEmployeeId(Long employeeId) { this.employeeId = employeeId; }
    public Long getHeadquartersId() { return headquartersId; }
    public void setHeadquartersId(Long headquartersId) { this.headquartersId = headquartersId; }
    public Long getRightId() { return rightId; }
    public void setRightId(Long rightId) { this.rightId = rightId; }
}
